Bug 254157

Summary: www/matomo update 4.1.0 --> 4.2.1
Product: Ports & Packages Reporter: Andrej Ebert <andrej>
Component: Individual Port(s)Assignee: Matthias Fechner <mfechner>
Status: Closed FIXED    
Severity: Affects Some People CC: andrej, joneum, mfechner
Priority: --- Flags: bugzilla: maintainer-feedback? (joneum)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/matomo-org/matomo/compare/4.1.0...4.2.1
Attachments:
Description Flags
svn diff
none
portlint
none
12.2 poudriere testport
none
11.4 poudriere testport none

Description Andrej Ebert 2021-03-09 14:16:03 UTC
Created attachment 223118 [details]
svn diff

Update to 4.2.1

Major Changes from 4.1.0:


Matomo 4.2.0

New config.ini.php settings
A config setting geolocation_download_from_trusted_hosts was introduced. Downloading GeoIP databases will now be limited to those configured hosts only.
#
Matomo 4.1.1
Changed config.ini.php settings
The config settings login_password_recovery_email_address and login_password_recovery_name have been removed to avoid possible smtp problems when sending recovery mails. noreply_email_address and noreply_email_name will be used instead.


All changes:

https://github.com/matomo-org/matomo/compare/4.1.0...4.2.1
Comment 1 Andrej Ebert 2021-03-09 14:19:16 UTC
Created attachment 223119 [details]
portlint
Comment 2 Andrej Ebert 2021-03-09 14:20:27 UTC
Created attachment 223120 [details]
12.2 poudriere testport
Comment 3 Andrej Ebert 2021-03-09 14:20:43 UTC
Created attachment 223121 [details]
11.4 poudriere testport
Comment 4 Jochen Neumeister freebsd_committer 2021-03-13 16:30:08 UTC
hi Andrej,

are you interested in taking over the port?
Comment 5 Andrej Ebert 2021-03-13 21:34:56 UTC
(In reply to Jochen Neumeister from comment #4)

Hi Jochen,

not really, since I don't have a commit bit (nor want the responsibility that comes with one) each update from me would require opening a bug anyway. As I do for the few ports I maintain, which I in turn do only because I created them :)
Comment 6 commit-hook freebsd_committer 2021-08-03 07:02:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=adc00abc06405205fc00b12289cc489b789812c7

commit adc00abc06405205fc00b12289cc489b789812c7
Author:     Andrej Ebert <andrej@ebert.su>
AuthorDate: 2021-08-03 06:59:16 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-08-03 07:01:25 +0000

    www/matomo: Update to 4.2.1

    Matomo 4.2.0

    New config.ini.php settings
    A config setting geolocation_download_from_trusted_hosts was introduced. Downloading GeoIP databases will now be limited to those configured hosts only.

    Matomo 4.1.1
    Changed config.ini.php settings
    The config settings login_password_recovery_email_address and login_password_recovery_name have been removed to avoid possible smtp problems when sending recovery mails. noreply_email_address and noreply_email_name will be used instead.

    All changes:

    https://github.com/matomo-org/matomo/compare/4.1.0...4.2.1

    PR:             254157
    Approved by:    joneum (maintainer timeout 5 month)

 www/matomo/Makefile  |  3 +--
 www/matomo/distinfo  |  6 ++---
 www/matomo/pkg-plist | 72 +++++++++++++++++++++++++++++++++++++++++++++++++---
 3 files changed, 72 insertions(+), 9 deletions(-)
Comment 7 Matthias Fechner freebsd_committer 2021-08-03 07:03:12 UTC
Committed, thanks a lot!